<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content injectable">
                   <div class="content-data">







<ol class="breadcrumb">
  <li>Injectables</li>
  <li>RepositoryService</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/parameters/repository/service/repository.service.ts</code>
        </p>



            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#serviceUrl">serviceUrl</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#deleteFile">deleteFile</a>
                            </li>
                            <li>
                                <a href="#download">download</a>
                            </li>
                            <li>
                                <a href="#list">list</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

            <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(http: <a href="https://angular.io/api/common/http/HttpClient" target="_blank">HttpClient</a>, params: <a href="../injectables/HttpParameters.html">HttpParameters</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="9" class="link-to-prism">src/app/operation/parameters/repository/service/repository.service.ts:9</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>http</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/common/http/HttpClient" target="_blank" >HttpClient</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>params</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/HttpParameters.html" target="_self" >HttpParameters</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="deleteFile"></a>
                        <span class="name">
                            <b>
                            deleteFile
                            </b>
                            <a href="#deleteFile"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>deleteFile(repositoryFileId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="42" class="link-to-prism">src/app/operation/parameters/repository/service/repository.service.ts:42</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Delete the given repository file.</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>repositoryFileId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the concerned repository file&#39;s unique ID</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>Observable&lt;any&gt;</code>

                            </div>
                                <div class="io-description">
                                    <p>an Observable on the server&#39;s response</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="download"></a>
                        <span class="name">
                            <b>
                            download
                            </b>
                            <a href="#download"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>download(repositoryFileId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/operation/parameters/repository/service/repository.service.ts:31</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Download the given repository file.</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>repositoryFileId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the concerned repository file&#39;s unique ID</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>Observable&lt;Blob&gt;</code>

                            </div>
                                <div class="io-description">
                                    <p>an Observable on the server&#39;s response</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="list"></a>
                        <span class="name">
                            <b>
                            list
                            </b>
                            <a href="#list"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>list(operationId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/parameters/repository/service/repository.service.ts:21</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Retrieve the list of repository files linked to a given operation</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the concerned operation&#39;s unique ID</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/RepositoryFile.html" target="_self" >Observable&lt;RepositoryFile[]&gt;</a></code>

                            </div>
                                <div class="io-description">
                                    <p>an Observable on the array of repostiory files</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="serviceUrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            serviceUrl
                            </b>
                            <a href="#serviceUrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>serviceUrl:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="9" class="link-to-prism">src/app/operation/parameters/repository/service/repository.service.ts:9</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Injectable } from &quot;@angular/core&quot;;
import { Observable } from &quot;rxjs/Observable&quot;;
import { RepositoryFile } from &quot;../model/repository-file&quot;;
import { HttpClient, HttpHeaders } from &#x27;@angular/common/http&#x27;;
import { HttpParameters } from &#x27;../../../../core/service/http/http.parameters.service&#x27;;

@Injectable()
export class RepositoryService {
  public serviceUrl: string;

  constructor(private http: HttpClient, private params: HttpParameters) {
    this.serviceUrl &#x3D; this.params.apiBaseURL + &#x27;/operation/repository&#x27;;
  }

  /**
   * Retrieve the list of repository files linked to a given operation
   *
   * @param operationId the concerned operation&#x27;s unique ID
   * @returns an Observable on the array of repostiory files
   */
  list(operationId: number): Observable&lt;RepositoryFile[]&gt; {
    return this.http.get&lt;RepositoryFile[]&gt;(&#x60;${this.serviceUrl}/${operationId}&#x60;);
  }

  /**
   * Download the given repository file.
   *
   * @param repositoryFileId the concerned repository file&#x27;s unique ID
   * @returns an Observable on the server&#x27;s response
   */
  download(repositoryFileId: number): Observable&lt;Blob&gt; {
    return this.http.get(&#x60;${this.serviceUrl}/${repositoryFileId}/download&#x60;,
      {headers: new HttpHeaders({&#x27;Accept&#x27;: &#x27;text/xml&#x27;}), responseType: &#x27;blob&#x27;});
  }

  /**
   * Delete the given repository file.
   *
   * @param repositoryFileId the concerned repository file&#x27;s unique ID
   * @returns an Observable on the server&#x27;s response
   */
  deleteFile(repositoryFileId: number): Observable&lt;any&gt; {
    return this.http.delete(&#x60;${this.serviceUrl}/${repositoryFileId}&#x60;);
  }
}
</code></pre>
    </div>

</div>











                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'injectable';
            var COMPODOC_CURRENT_PAGE_URL = 'RepositoryService.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
